## gtkmm2.4 2.24.5

=== debian/changelog ===
gtkmm2.4 (1:2.24.5-6) unstable; urgency=medium

  * Opt into Salsa CI
  * Remove obsolete patch
  * Run wrap-and-sort
  * Update standards version to 4.7.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 13:04:57 -0500

gtkmm2.4 (1:2.24.5-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build dependency on dpkg-dev (Closes: #1065277)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 07 Mar 2024 00:18:25 +0100

gtkmm2.4 (1:2.24.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065277)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Mar 2024 23:40:46 +1300

gtkmm2.4 (1:2.24.5-5) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Stop using debian/control.in and dh-sequence-gnome
  * Stop overriding dh_makeshlibs
  * Release to unstable (Closes: #1062191)

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #946416)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13
  * Set debhelper-compat version in Build-Depends
  * Add debian/upstream/metadata
  * Drop transition for old debug package migration
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 10:22:27 -0500

gtkmm2.4 (1:2.24.5-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Wed, 31 Jan 2024 16:16:09 +0000

gtkmm2.4 (1:2.24.5-4) unstable; urgency=medium

  * Team upload
  * libgtkmm-2.4-dev Breaks/Replaces older libgtkmm-2.4-doc
    (Closes: #886836)

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Feb 2019 08:54:15 +0000

gtkmm2.4 (1:2.24.5-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Enable compiler hardening

  [ gregor herrmann ]
  * Fix "both ship usr/share/doc/libgtkmm-2.4-dev/examples/*":
    Install all demos into the -dev package, and only there;
    and also install Makefile*.
    (Closes: #886836)

  [ Simon McVittie ]
  * Use https for Homepage
  * Don't include .deps/ in examples
  * d/tests/build: Add an autopkgtest that compiles the demos, and
    compiles and runs a small test program
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.3.0 (no further changes)
  * Remove doc-base registration for the tutorial, which is no longer
    in this source package.
  * Change Section for shared library and -dev package to oldlibs.
    This is a deprecated binding for GTK+ 2, which has been superseded
    by GTK+ 3. The latest upstream NEWS entry, from 2016, says:
    "It's recommended that you use gtkmm3 instead of gtkmm2. The support for
    gtkmm2 is minimal, and diminishing."
  * Change Description to mention deprecation

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Feb 2019 23:35:43 +0000

gtkmm2.4 (1:2.24.5-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 20:14:58 -0500

gtkmm2.4 (1:2.24.5-1) unstable; urgency=medium

  * New upstream release.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Drop libgtkmm-2.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libgtkmm-2.4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Use Conflicts instead of Breaks for the libgtkmm-2.4-1c2a transition.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 14:30:27 +0200
