=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

# Don't compress doxygen tag files and demo Makefile*
override_dh_compress:
	dh_compress -X.tag -X.cc -XMakefile

override_dh_installexamples:
	$(MAKE) -C demos distclean
	find demos -name .deps -print0 | xargs -0 rm -fr
	dh_installexamples

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete
